#!/usr/bin/gawk -f

BEGIN{
  JD0 = ARGV[1];
  ZERO = ARGV[2];

  ARGV[1]=ARGV[2]="";

  OFMT="%.6f";
  print "# JD & mag & sigma & dataset";
}
!/^ *#/ && (NF>=2){
  jd = $1 + JD0;
  mag = $2 - ZERO;
  sigma = $3;
  dataset = $4;

  printf("%.6f %12.6f %12.6f %d\n", jd, mag, sigma, dataset);
}

